GET

/api/public/v1/appointment-types/{typeId}/slots

Beta

Free start times for an appointment type, after working hours, time off, buffers, existing bookings and the staff member's own connected calendar.

Parameters

NameInRequiredDescription
typeIdpathtrueThe appointment type id.
from, toqueryfalseRange (ISO), 62 days at most. Default: the next 14 days.
staffEmailqueryfalseOnly this team member.

Response

{ slots: [{ start, staffEmails[] }], from, to }

Example

curl -H "Authorization: Bearer $INAYA_API_KEY" \
  "https://app.inaya.network/api/public/v1/appointment-types/REPLACE_ME/slots"